SpecializationUtil.registerSpecialization("cleanSeeder", "cleanSeeder", g_currentModDirectory.."cleanSeeder.lua")

cleanSeeder_Register = {};

function cleanSeeder_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print("--- loading cleanSeeder mod V1.0--- (by upsidedown)")
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and (vs == SpecializationUtil.getSpecialization("steerable") or vs == SpecializationUtil.getSpecialization("attachable")) then 
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.cleanSeeder", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("cleanSeeder"));
						end;						
					end;
				end;
			end;	
		end;
	end;
end;

function cleanSeeder_Register:deleteMap()
  
end;

function cleanSeeder_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function cleanSeeder_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function cleanSeeder_Register:update(dt)
	
end;

function cleanSeeder_Register:draw()
  
end;

addModEventListener(cleanSeeder_Register);